org.apache.ignite.internal.processors.cache

## Class DynamicCacheChangeRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.DynamicCacheChangeRequest

All Implemented Interfaces:
  Serializable

    public class DynamicCacheChangeRequest
    extends Object
    implements Serializable

Cache start/stop request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DynamicCacheChangeRequest(String cacheName, UUID initiatingNodeId)` Constructor creates cache stop request.

### Method Summary

Methods
`AffinityTopologyVersion` `cacheFutureTopologyVersion()`
`void` `cacheFutureTopologyVersion(AffinityTopologyVersion cacheFutTopVer)`
`String` `cacheName()`
`void` `cacheName(String cacheName)`
`CacheType` `cacheType()`
`void` `cacheType(CacheType cacheType)`
`boolean` `clientStartOnly()`
`void` `clientStartOnly(boolean clientStartOnly)`
`boolean` `close()`
`void` `close(boolean close)`
`IgniteUuid` `deploymentId()`
`void` `deploymentId(IgniteUuid deploymentId)`
`boolean` `exchangeNeeded()`
`void` `exchangeNeeded(boolean exchangeNeeded)`
`boolean` `failIfExists()`
`void` `failIfExists(boolean failIfExists)`
`UUID` `initiatingNodeId()`
`NearCacheConfiguration` `nearCacheConfiguration()`
`void` `nearCacheConfiguration(NearCacheConfiguration nearCacheCfg)`
`boolean` `start()`
`CacheConfiguration` `startCacheConfiguration()`
`void` `startCacheConfiguration(CacheConfiguration startCfg)`
`boolean` `stop()`
`void` `stop(boolean stop)`
`boolean` `template()`
`void` `template(boolean template)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DynamicCacheChangeRequest

    public DynamicCacheChangeRequest(String cacheName,
                             UUID initiatingNodeId)

Constructor creates cache stop request.

Parameters:
  `cacheName` - Cache stop name.
  `initiatingNodeId` - Initiating node ID.

### Method Detail

#### exchangeNeeded

    public boolean exchangeNeeded()

Returns:
  `True` if request should trigger partition exchange.

#### cacheFutureTopologyVersion

    public void cacheFutureTopologyVersion(AffinityTopologyVersion cacheFutTopVer)

Parameters:
  `cacheFutTopVer` - Ready topology version when dynamic cache future should be completed.

#### cacheFutureTopologyVersion

    @Nullable
    public AffinityTopologyVersion cacheFutureTopologyVersion()

Returns:
  Ready topology version when dynamic cache future should be completed.

#### exchangeNeeded

    public void exchangeNeeded(boolean exchangeNeeded)

Parameters:
  `exchangeNeeded` - `True` if request should trigger partition exchange.

#### template

    public void template(boolean template)

Parameters:
  `template` - `True` if this is request for adding template configuration.

#### template

    public boolean template()

Returns:
  `True` if this is template configuration.

#### deploymentId

    public IgniteUuid deploymentId()

Returns:
  Deployment ID.

#### deploymentId

    public void deploymentId(IgniteUuid deploymentId)

Parameters:
  `deploymentId` - Deployment ID.

#### start

    public boolean start()

Returns:
  `True` if this is a start request.

#### stop

    public boolean stop()

Returns:
  `True` if this is a stop request.

#### stop

    public void stop(boolean stop)

Parameters:
  `stop` - New stop flag.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### cacheName

    public void cacheName(String cacheName)

Parameters:
  `cacheName` - Cache name.

#### initiatingNodeId

    public UUID initiatingNodeId()

Returns:
  Near node ID.

#### nearCacheConfiguration

    public NearCacheConfiguration nearCacheConfiguration()

Returns:
  Near cache configuration.

#### nearCacheConfiguration

    public void nearCacheConfiguration(NearCacheConfiguration nearCacheCfg)

Parameters:
  `nearCacheCfg` - Near cache configuration.

#### startCacheConfiguration

    public CacheConfiguration startCacheConfiguration()

Returns:
  Cache configuration.

#### startCacheConfiguration

    public void startCacheConfiguration(CacheConfiguration startCfg)

Parameters:
  `startCfg` - Cache configuration.

#### cacheType

    public void cacheType(CacheType cacheType)

Parameters:
  `cacheType` - Cache type.

#### cacheType

    public CacheType cacheType()

Returns:
  Cache type.

#### clientStartOnly

    public boolean clientStartOnly()

Returns:
  Client start only.

#### clientStartOnly

    public void clientStartOnly(boolean clientStartOnly)

Parameters:
  `clientStartOnly` - Client start only.

#### failIfExists

    public boolean failIfExists()

Returns:
  Fail if exists flag.

#### failIfExists

    public void failIfExists(boolean failIfExists)

Parameters:
  `failIfExists` - Fail if exists flag.

#### close

    public boolean close()

Returns:
  Close flag.

#### close

    public void close(boolean close)

Parameters:
  `close` - New close flag.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015